Description

It would be very useful to be able to dynamically pause snapping during an edit session to allow creation of vertices which aren't snapped

without having to open the snapping options.  ArcGIS has such a feature which pauses snapping while the spacebar is held down -

something similar would be great.

History

#1 - 2015-04-29 10:36 AM - Giovanni Manghi

- Category set to Digitising

#2 - 2015-04-30 04:26 AM - Harrissou Santanna

Hi,

+1. Totally agree...

#3 - 2015-11-16 06:45 AM - Christian Roettger

a good feature!

#4 - 2016-03-14 05:47 AM - Andreas Neumann

The spacebar is already in use for panning. You you'll need a different shortcut.

#5 - 2016-03-14 08:01 AM - Denis Rouzaud

no need for a shortcut, a simple checkbox in the taskbar would do the job, no? we could even have a combobox there with the choices from snapping

(none, all layers and per layer config).

#6 - 2016-03-14 08:45 AM - Christian Roettger

Denis Rouzaud wrote:

no need for a shortcut, a simple checkbox in the taskbar would do the job, no? we could even have a combobox there with the choices from

snapping (none, all layers and per layer config).

No, i don't think so. 

This is during a editing session. Assume you are editing and want to edit somewhere really near a feature where it normaly would snap, but in this moment
it must not. Then you hit a shortcut which temporarly disables snapping, set your vertexes, release and then continue with snapping which you need to end

your editing.

A plus would be to edit the shortcut key.

#7 - 2017-01-11 06:15 AM - Denis Rouzaud

- Status changed from Open to Feedback

New map tools should all be click and click mode (no drag'n'drop anymore) so it is possible to use a checkbox.

The new snapping toolbar in master (QGIS 3.x) should solve this issue.

#8 - 2017-01-11 03:03 PM - Nyall Dawson

I'd say a shortcut would also be very handy - even with click/click mode. Having to move the cursor away from the map to a checkbox and back would slow

things down a lot, vs an instant key stroke to disable snap.

We have a shortcut for toggling the trace, i think it's natural to extend this to snapping.

#9 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
